## tasksel 1.0-10

=== Makefile ===
PROGRAM=tasksel
VERSION=\"1.0\"
CC=gcc
CFLAGS=-g -Wall  #-Os
DEFS=-DVERSION=$(VERSION) -DPACKAGE=\"$(PROGRAM)\" -DLOCALEDIR=\"/usr/share/locale\" #-DDEBUG
LIBS=-lslang #-lccmalloc -ldl
OBJS=tasksel.o slangui.o data.o util.o strutl.o
LANGS=cs de hu ja sv pl
LOCALEDIR=$(DESTDIR)/usr/share/locale

COMPILE = $(CC) $(CFLAGS) $(DEFS) -c
LINK = $(CC) $(CFLAGS) $(DEFS) -o

all: $(PROGRAM)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

$(PROGRAM): $(OBJS) po/build_stamp
	$(LINK) $(PROGRAM) $(OBJS) $(LIBS)

install:
	install -m 755 tasksel $(DESTDIR)/usr/bin
	pod2man --center "Debian specific manpage" tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
	  [ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
	  install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(PROGRAM).mo; \
	done

test:
	$(MAKE) -C scratch

clean:
	rm -f $(PROGRAM) *.o *~
	$(MAKE) -C po clean

=== po/Makefile ===
XGETTEXT = xgettext --keyword=_
MOS:=$(addsuffix .mo, $(LANGS))

all: C.po $(MOS)
	touch build_stamp

C.po:
	$(XGETTEXT) -o $@ ../*.[ch]

%.mo: %.po
	msgfmt -o $@ $<

clean:
	-rm -f C.po build_stamp
	-rm -f *.mo

=== debian/changelog ===
tasksel (1.0-10) frozen unstable; urgency=low

  * Release manager: needed for potato boot-floppies
  * More translations

 -- Randolph Chung <tausq@debian.org>  Thu, 22 Jun 2000 18:10:37 -0700

tasksel (1.0-9) frozen unstable; urgency=low

  * Release manager: needed for potato boot-floppies
  * I18n fixes. tasksel is finally correctly I18n-ized
  * Lots of translations. My thanks to all the translators

 -- Randolph Chung <tausq@debian.org>  Sun,  7 May 2000 13:26:39 -0700

tasksel (1.0-8) frozen unstable; urgency=low

  * Changed the Quit button into a Finished button - karlheg.
  * catch SIGINT and exit gracefully

 -- Randolph Chung <tausq@debian.org>  Fri, 21 Apr 2000 17:49:59 -0700

tasksel (1.0-7) frozen unstable; urgency=low

  * Adds -r, -i and -s switches for installing required, important and
    standard priority packages
  * Adds -n option for non-interactive runs (for use with -r or -i)
  * Make data.c read priority settings; made packages_enumerate 
    reentrant

 -- Randolph Chung <tausq@debian.org>  Sun,  6 Feb 2000 15:08:43 -0700

tasksel (1.0-6) frozen unstable; urgency=low

  * Fixed some really stupid bugs
  * removed cvs build target from debian/rules (closes: #55621) [RC]
  * fixed -q option to properly queue package installs

 -- Randolph Chung <tausq@debian.org>  Wed, 19 Jan 2000 21:19:11 -0700

tasksel (1.0-5) frozen unstable; urgency=low

  * Adds option to queue installs instead of running them immediately (-q)
  * Fixed a segfault that occurs when no task packages are found on the system

 -- Randolph Chung <tausq@debian.org>  Sun, 16 Jan 2000 00:27:30 -0700

tasksel (1.0-4) frozen unstable; urgency=low

  * More changes from Joey Hess; adds buttons to clear up main screen;
    more consistency changes
  * Adds scroll support to dialogs and main menu

 -- Randolph Chung <tausq@debian.org>  Sat, 15 Jan 2000 14:33:56 -0700

tasksel (1.0-3) unstable; urgency=low

  * Lots of changes from Joey Hess: (re bug#54250)
    - Uses [ ] instead of ( ) for consistency with dbootstrap
    - Changed highlighting, buttons and prompting behavior
    - left justify screen title
    - cosmetic changes to list display
  * tasksel now has its own cvs respository

 -- Randolph Chung <tausq@debian.org>  Sun,  9 Jan 2000 22:58:22 -0700

tasksel (1.0-2) unstable; urgency=low

  * Alpha sorts package names (closes: #52960)
  * Make color scheme more consistent with dbootstrap (closes: #52898)

 -- Randolph Chung <tausq@debian.org>  Wed, 29 Dec 1999 09:32:52 -0700

tasksel (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Wed,  8 Dec 1999 21:49:42 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tasksel
Section: base
Priority: optional
Maintainer: Randolph Chung <tausq@debian.org>
Standards-Version: 3.0.1.1

Package: tasksel
Architecture: any
Depends: ${shlibs:Depends}
Description: New task packages selector
 Interface for selecting task packages; used for boot-floppies, but can also
 be called independently

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

commit: commit-stamp
commit-stamp:
	dh_testdir
	cvs commit
	touch commit-stamp

build: build-stamp
build-stamp: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp commit-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs ChangeLog TODO
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tasksel 1.18

=== Makefile ===
PROGRAM=tasksel
TASKDESC=debian-tasks.desc
DESCDIR=tasks/
CC=gcc
CFLAGS=-g -Wall  #-Os
DEBUG=1
ifeq (0,$(DEBUG))
DEFS=-DVERSION=\"$(VERSION)\" -DPACKAGE=\"$(PROGRAM)\" -DLOCALEDIR=\"/usr/share/locale\" \
     -DTASKDESC=\"/usr/share/tasksel/$(TASKDESC)\"
else
DEFS=-DVERSION=\"$(VERSION)\" -DPACKAGE=\"$(PROGRAM)\" -DLOCALEDIR=\"/usr/share/locale\" \
     -DTASKDESC=\"$(TASKDESC)\" -DDEBUG
endif
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LIBS=-lslang #-lccmalloc -ldl
OBJS=tasksel.o slangui.o data.o util.o strutl.o
LANGS=cs da de es hu it ja nb_NO pl pt_BR ru sv zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale
COMPILE = $(CC) $(CFLAGS) $(DEFS) -c
LINK = $(CC) $(CFLAGS) $(DEFS) -o

all: $(PROGRAM) $(TASKDESC)

$(TASKDESC): makedesc.pl $(DESCDIR)/*
	perl doincludes.pl $(DESCDIR)
	perl makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

$(PROGRAM): $(OBJS) po/build_stamp
	$(LINK) $(PROGRAM) $(OBJS) $(LIBS)

install:
	install -m 755 tasksel $(DESTDIR)/usr/bin
	install -m 0644 $(TASKDESC) $(DESTDIR)/usr/share/tasksel
	pod2man --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
	  [ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
	  install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(PROGRAM).mo; \
	done

test:
	$(MAKE) -C scratch

clean:
	rm -f $(PROGRAM) $(TASKDESC) *.o *~
	$(MAKE) -C po clean

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-XGETTEXT = xgettext --keyword=_
+XGETTEXT = xgettext --keyword=_ --keyword=N_ --add-comments=TRANS:
 MOS:=$(addsuffix .mo, $(LANGS))
 
 all: C.po $(MOS)
@@ -14,3 +14,7 @@
 	-rm -f C.po build_stamp
 	-rm -f *.mo
 
+update-%: %.po C.po
+	mv $< $<.bak
+	msgmerge $<.bak C.po > $<
+

=== debian/changelog ===
tasksel (1.18) unstable; urgency=medium

  * Should fix issues with doincludes.pl failing on autobuilders that
    either have no available file, or don't have kde in the availabe file
    (woody systems).

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Feb 2002 19:46:02 -0500

tasksel (1.17) unstable; urgency=medium

  * Removed junkbuster from dialup; probably not going to ship with woody, if
    it manages to somehow it is really in too bad shape to expose newbies to
    it. Closes: #131295
  * (Slipstream release foiled by the NI system. :-)

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Feb 2002 13:30:42 -0500

tasksel (1.16) unstable; urgency=medium

  * Added doincludes.pl, and let the desktop task use it to explode the
    kde metapackage, so its entire dep list is put in the task, and if it does
    not ship with woody, we still will get kde. Closes: #135797
  * The same include mechanism should probably be used for the other
    metapackages, like the junior stuff (and X?). But not right now.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Feb 2002 11:17:36 -0500

tasksel (1.15) unstable; urgency=low

  * Include sawfish-gnome in desktop task so gnome will have a WM.
    Closes: #116609, #129999
  * Make the basic-desktop task incude all of x-window-system (so it gets a
    WM and xterm and so on), while the desktop task uses just
    x-window-system-core (because it already has a WM and so on from
    gnome and kde). Closes: #129217
  * Removed pydb from python task, because Colin Watson said to. 
    Closes: #129520
  * it.po translation added, da.po added (Closes: #122668), ja.po updated,
    pt_BR updated (Closes: #122965)

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Jan 2002 14:55:51 -0500

tasksel (1.13) unstable; urgency=low

  * python-dev addition. Closes: #72972 
  * Marcin Owsiany: updated pl.po
  * Jordi Mallach: added Catalan translation.
  * Galician translation from Jacobo Tarrio <jtarrio@debian.org>.

 -- Randolph Chung <tausq@debian.org>  Thu, 22 Nov 2001 04:36:14 -0800

tasksel (1.12) unstable; urgency=low

  * The i18n release. :-)
  * Danish translation from Morten Brix Pedersen <morten@wtf.dk>.
  * Norwegian (bokml) translation from Petter Reinholdtsen 
    <pere@hungry.com>. Closes: #120328
  * Brazilian translation from Andre Luis Lopes 
    <andrelop@ig.com.br>.
  * i18n fixes from Tommi Vainikainen <thv+debian@iki.fi>
    Closes: #100343
  * Traditional chinese translation from 
    Anthony Wong <ypwong@ypwong.org>. Closes: #75284
  * French translation from Nicolas SABOURET 
    <Nicolas.Sabouret@limsi.fr>. Closes: #105988
  * Improve manpage. Closes: #108392

 -- Randolph Chung <tausq@debian.org>  Wed, 21 Nov 2001 00:40:00 -0800

tasksel (1.11) unstable; urgency=low

  * Added Cyrillic task.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Sep 2001 15:33:00 -0400

tasksel (1.10) unstable; urgency=low

  * Marcin Owsiany: updated Polish translation.

 -- Marcin Owsiany <porridge@debian.org>  Sun,  7 Oct 2001 16:34:15 +0200

tasksel (1.9) unstable; urgency=low

  * Add build-depends on gettext (Closes: #110918) 
  * remove swig and saml from python-dev (Closes: #111683)
  * desktop task uses gimp1.2 rather than gimp (Closes: #111655)

 -- David Kimdon <dwhedon@debian.org>  Sun, 16 Sep 2001 20:23:45 +0000

tasksel (1.8) unstable; urgency=low

  * Add build-depends. Closes: #105475
  * Code fixes. Closes: #103974 
  * task changes. Closes: #107830
  * add su-to-root to menu entry. Closes: #71993

 -- Randolph Chung <tausq@debian.org>  Thu, 30 Aug 2001 21:24:23 -0700

tasksel (1.7) unstable; urgency=medium

  * Use new X meta packages. Closes: #103773 (RC base bug)

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Aug 2001 12:44:45 -0400

tasksel (1.6) unstable; urgency=low

  * Various task cleanups. Dealt with missing and renamed packages, etc.
  * Added new Debian Jr. metapackages.
  * Added French task.
  * Merged C and C++ tasks, removed Objective C task.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jul 2001 19:22:13 -0400

tasksel (1.5) unstable; urgency=high

  * tasksel changes by Anthony Towns
    - data.c: Made tasksel process fields after the long description. This was
      stopping tasksel for handling the new Packages files that actually
      include Task: headers, so it's kinda useful. :)
    - tasksel.c: When no tasks are present, print a trailing newline.

 -- Anthony Towns <aj@azure.humbug.org.au>  Mon,  2 Jul 2001 13:38:27 +1000

tasksel (1.4) unstable; urgency=high

  * Modifications to existing tasks by Joey Hess
    - added language-env to all language tasks that it supports
    - added netatalk to file-server and print-server
    - renamed modem to dialup, and added stuff for isdn and pppoe to it.
      Also removed a few things like lynx from the task.
    - added aviword to desktop, so there is a basic word processor in there
    - added gimp to desktop too, it's too handy not to be there
    - added lyx to tex
  * New tasks by Joey Hess:
    - web-server -- currently includes only the bare basics, suggestions
      appreciated.
    - unix-server -- a conventional unix server, fully loaded with most of
      the standard unix daemons and userland for console users.
  * Adam Di Carlo:
    - stop shipping upstream ChangeLog
    - number this like a Debian package
    - set urgency to high to cram this into woody for base freeze
    - update our description

 -- Adam Di Carlo <aph@debian.org>  Mon, 28 May 2001 21:03:47 -0400

tasksel (1.3-2) unstable; urgency=low

  * Modifications to existing tasks:
    - Replaced talk of "this [meta]package" with "this task", and like
      changes.
    - In l10n tasks, s/-speaking// for consistency.
    - Make all l10n tasks include locales. It's in base, so this is of
      dubious utility, but some had it and some not.
    - Changed short descriptions of basic-desktop and desktop in an attempt
      to clarify how they're different.
    - Added some comments here and there for unresolved issues.


=== debian/control ===
Source: tasksel
Section: base
Priority: optional
Maintainer: Randolph Chung <tausq@debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper, slang1-dev, gettext

Package: tasksel
Architecture: any
Depends: ${shlibs:Depends}
Description: Tool for selecting tasks for installation on Debian system
 This package provides 'tasksel', a simple interface for users who
 want to pick general tasks for installation on their Debian GNU/Linux
 system.  This program is used during the installation process, but
 users can also use tasksel at any point.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE) 
+	$(MAKE) DEBUG=0
 
 	touch build-stamp
 
@@ -55,10 +55,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
+	dh_installdocs TODO README
 	dh_installmenu
 	dh_installmanpages
-	dh_installchangelogs ChangeLog TODO
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress

## tasksel 2.02

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=bg bs ca cs cy da de el es fi fr gl hu id it ja ko lt nb nl nn pl pt pt_BR ru sk sl sq sv tr uk zh_CN zh_TW
LANGS_DESC=bg bs ca cs cy da de el es fi fr hu id it ja ko lt nb nl nn pl pt pt_BR ru sk sl sq sv tr uk zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)$(TASKDIR) \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 tasks/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done
	for test in tests/*; do \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

# This taget is run to generate the overrides files.
# It is run from a cron job, so should only generate output if there are
# problems.
override:
	@svn up tasks 2>&1 | grep -v ^U | grep -v "At revision" || true
	@./makeoverride.pl $(DESCDIR) > external-overrides-task

=== debian/changelog ===
tasksel (2.02) unstable; urgency=medium

  * Joey Hess
    - Save some space in desktop task by making it use
      gnome-desktop-environment as the key package for gnome, and only include
      all the rest of gnome if it's available.
    - Fix broken Test-lang for italian, spanish, which justifies the medium
      urgency. Closes: #256346
  * Translations
    - Carlos Z.F. Liu
      - Updated Simplified Chinese programs, tasks and debconf translations
    - Claus Hindsgaul
      - Initial Danish version 2 debconf translation
    - André Luís Lopes
      - Added Brazilian Portuguese translation (debian/po/pt_BR.po).
    (some others not listed)

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jun 2004 09:34:07 -0400

tasksel (2.01) unstable; urgency=low

  * Joey Hess
    - Add hspell-gui to Hebrew task.
    - Merge office with desktop task, dropping gnucash.
    - First release of rewritten tasksel to unstable.
    - Fix base-config conflicts; 2.32 is the first released version to support
      this tasksel.
  * Translations
    - Eugeniy Meshcheryakov
      - Updated Ukrainian translation
    - Christian Perrier
      - Updated POT files and PO files accordingly
      - Updated French programs and debconf translations
   - Kęstutis Biliūnas
      - Updated Lithuanian programs and debconf translations
    - Claus Hindsgaul
      - Updated Danish translation
    - Håvard Korsvoll
      - Updated Norwegian nynorsk translation of tasks. Closes: #249684

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Jun 2004 11:41:16 -0400

tasksel (2.00) experimental; urgency=low

  * Joey Hess
    - Rewrote tasksel to use debconf for the UI, and support test programs
      for flexible automatic task selection, etc.
      Closes: #65992, #103363, #105718, #234216, #251419, #251638, #251639
      Closes: #244949, #251743
    - Tagged all the language tasks with Test-lang fields holding the
      language that the task is useful for, to allow for autoselection
      of languages matching the installation language.
    - Add fortune-mod to the desktop task as a gnome or kde screensaver does
      very silly things w/o it.
    - Adopted new, stricter criteria for task additions. Removed the following
      tasks, which did not meet it: c-dev, java-dev, python-dev, broadband,
      dialup, laptop, junior, kernel-compile, science, tex, games, lsb,
      unix-server. Some of these (laptop, etc) could be reinstated if tests
      were developed for them.
      Closes: #192747, #249309, #234393, #202878, #249702, #142873, #186085
      Closes: #237255, #245649, #254329
    - Added a dependency on liblocale-gettext-perl.
    - Added a dependency on aptitude, which is used to do the work of
      installing tasks, etc.
    - Added a conflicts with older debconf versions that do not work
      with tasksel.
    - Tasksel now accepts long options in addition to the short ones.
    - The -q option is not yet re-implemented, and I hope not to implement
      it, as to do so would mean a lot more messing with the package
      database. This breaks older base-config's, so conflict with them.
    - The -a option is also not yet re-implemented.
    - Add --new-install option, intended to be used by base-config to make
      tasksel enter a special mode more suited for initial system installs.
    - Fixes "tasksel install". Closes: #165628
    - Fix man page internal section.
    - Rejiggered the maintainer and uploader fields.
    - Update copyright.
    - Add Italian task.
  * Changwoo Ryu
    - Replaced old IM ami from Korean task with descent nabi and imhangul.
    - Added more fonts and docs to Korean task.
  * Translations
    - Jordi Mallach
      - Updated Catalan tasks translation.
    - Safir Secerovic
      - Updated Bosnian tasks translation.
    - Miguel Figueiredo
      - Updated Portuguese tasks translation.
    - Tomohiro KUBOTA (久保田智広)
      - Updated Japanese tasks translation

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jun 2004 13:32:12 -0400

tasksel (1.52) unstable; urgency=high

  * Recai Oktas
    - Remove openoffice.org-l10n-tr from Turkish task to make it lighter.
    - Remove fonty from Turkish task because it only handles iso* fonts,
      and debian-installer sets Turkish font to a better alternative
      (ter-916f) which is overridden if fonty is installed.
      Closes: #247928
   * Joey Hess
     - openoffice.org is arch all, and so not a good candidate for the key
       package of the office task. Add openoffice.org-bin, to ensure that the
       task is only available on arches that have a full OOo build.
     - The basic-desktop task is confusing, violates the one task per use of
       the system tenet, does not interoperate well with the desktop task,
       and is now removed. Closes: #249344 Users who want plain X should be
       comfortable selecting the package by hand.
  * Translations
    - Kęstutis Biliūnas
      - Updated Lithuanian translation (tasks/po/lt.po).

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 24 May 2004 17:52:31 +0200

tasksel (1.51) unstable; urgency=medium

  * Joey Hess
    - Update kernel source version in custom kernel task once more.
    - Add a Turkish task from Recai Oktas. Closes: #243113
    - Fix Portuguese translation of "Finish". Closes: #241550
    - Switch mail task to use exim4. Closes: #242704
    - Add openoffice.org-help-en to the office task for English help files.
      Closes: #246106
    - Add resolvconf to the dialup and broadband tasks. Closes: #229617
    - Add myspell-en-{us,gb} to office task, by analogy with the language
      tasks that include the myspell stuff.
  * Rene Engelhard
    - Updated 'greek', 'korean', 'norwegian' and 'thai' tasks
  * Eugeniy Meshcheryakov
    - Updated 'ukrainian' task
  * Translations
    - Miguel Figueiredo
      - Updated Portuguese tasks translation
    - Christian Perrier
      - Updated French tasks translation
    - Carlos Z.F. Liu
      - Updated Simplified Chinese tasks translation


=== debian/control ===
Source: tasksel
Section: base
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.1.0
Build-Depends: po-debconf, debhelper (>= 4), gettext, dpkg-dev (>= 1.9.0)

Package: tasksel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, aptitude
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian system
 This package provides 'tasksel', a simple interface for users who
 want to pick general tasks for installation on their Debian GNU/Linux
 system. This program is used during the installation process, but
 users can also use tasksel at any point.

=== debian/rules ===
#!/usr/bin/make -f

commit: commit-stamp
commit-stamp:
	dh_testdir
	svn commit
	touch commit-stamp

build: build-stamp
build-stamp: 
	dh_testdir
	# Handle norwegian translations
	# Make transition copy while we wait for all users to change from
	# no_NO to nb_NO
	cp po/nb.po po/no.po
	cp tasks/po/nb.po tasks/po/no.po
	$(MAKE) DEBUG=0
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp commit-stamp
	-$(MAKE) clean
	dh_clean
	# Handle norwegian translations
	# Remove transition copy while we wait for all users to change from
	# no_NO to nb_NO
	$(RM) po/no.po
	$(RM) tasks/po/no.po

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO README
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_installdebconf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tasksel 2.19

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 DESCDIR=tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
-LANGS=bg bs ca cs cy da de el es fi fr gl hu id it ja ko lt nb nl nn pl pt pt_BR ru sk sl sq sv tr uk zh_CN zh_TW
-LANGS_DESC=bg bs ca cs cy da de el es fi fr hu id it ja ko lt nb nl nn pl pt pt_BR ru sk sl sq sv tr uk zh_CN zh_TW
+LANGS=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tr uk zh_CN zh_TW
+LANGS_DESC=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tr uk zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
 all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp
@@ -32,6 +32,7 @@
 install:
 	install -d $(DESTDIR)/usr/bin $(DESTDIR)$(TASKDIR) \
 		$(DESTDIR)/usr/lib/tasksel/tests \
+		$(DESTDIR)/usr/lib/tasksel/packages \
 		$(DESTDIR)/usr/share/man/man8
 	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
 	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/

=== debian/changelog ===
tasksel (2.19) unstable; urgency=low

  * Christian Perrier
    - Fix typo in README. Closes: #286053
    - Add missing languages in Makefile. Closes: #286539
  * Joey Hess
    - Don't require whitespace after keys with multiline values. Closes: #286054
    - Patch from Denis to always use untranslated values in the debconf
      choices list of tasks, as used for preseeding. Closes: #278186
    - If the user chooses manual selection and does not change any other task
      selections, run aptitude without --visual-preview parameter, as that
      parameter made it skip the package browser. Closes: #272360
  * Translations
    - Bosnian translation updates by Safir Secerovic

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jan 2005 19:37:37 -0500

tasksel (2.18) unstable; urgency=low

  * Joey Hess
    - Comment out mysell-* from all language tasks to work around bug #283923.
      Closes: #285881

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Dec 2004 22:11:08 -0500

tasksel (2.17) unstable; urgency=low

  * Joey Hess
    - Don't clear screen in test mode.
    - Fix behavior of tasks whose test script returns 2 in --new-install mode; 
      do not install these tasks if the user de-selects them. Closes: #284895

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Dec 2004 14:25:25 -0500

tasksel (2.16) unstable; urgency=low

  * Translations:
    - Welsh updates in po/ and tasks/po. Welsh translation for debian/po
      added. Closes: #282181
  * Christian Perrier
    - Fix double spaces in some tasks descriptions
    - Fix ending dot in chinese-t-desktop
      Closes: #282182
    - Unfuzzy translations as translators obviously didn't
      follow inconsistencies

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Dec 2004 18:12:09 -0500

tasksel (2.15) unstable; urgency=high

  * Joey Hess
    - Fix email address. Closes: #276031
    - Drop apparently useless libecpg4 from database-server. Closes: #275890
    - Reduce set of kde stuff that is key for the desktop task, in an attempt
      to make CD 1 continue to fit, similar to what was done with gnome
      earlier.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Nov 2004 22:19:50 -0500

tasksel (2.14) unstable; urgency=medium

  * Joey Hess
    - Add mozilla-xft to desktop task, needed for antialiasing in gnome
      browser as well as mozilla.

 -- Joey Hess <joeyh@debian.org>  Fri,  8 Oct 2004 19:38:14 -0400

tasksel (2.13) unstable; urgency=medium

  * Joey Hess
    - Fix use of test programs to mark a task to be installed by default.
      Only done for --new-install though. Closes: #274933
    - To allow tasks with such test programs to co-exist with preseeding
      (and not override preseeded values) use the seen flag to tell if
      tasksel/first is preseeded.
  * Translations
    - Elian Myftiu
      - Added Albanian(sq) translation in debian/po
    - Stefano Canepa
      - Italian updated (debian/po). Closes: #270123
    - Carlos Z.F. Liu
      - Updated Simplified Chinese translation. (tasks/po/zh_CN.po)
    - Correct typo in Norwegian Nynork translations
      Closes: #274409
    - Correct case in French debconf translation
    
 -- Joey Hess <joeyh@debian.org>  Tue,  5 Oct 2004 20:46:42 -0400

tasksel (2.12) unstable; urgency=low

  * Joey Hess
    - Support preseeding of tasksel/first.
    - Remove samba stuff from print-server, since CUPS can talk directly to
      windows clients via ipp.
  * Anton Zinoviev
    cyrillic:
     - add additional languages in Test-lang - Belarusian, Kazakh,
       Macedonian and Mongolian - they all are supported by
       console-cyrillic.  I haven't updated the description of the package
       though in order not to bother the translators.
     - me as a maintainer of this task
     - move language-env from the Key: section to the Packages: section
       cyrillic-desktop:
     - me as a maintainer of this task
     - add "t1-cyrillic" in the Key: section
     - add more scalable fonts in the Packages: section
     - uncomment the bitmap fonts for Unicode
    Closes: #271174
  * Translations
    - Bartosz Fenski
      - Polish updated (po and tasks/po). Closes: #270123

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 2004 17:49:21 -0400

tasksel (2.11) unstable; urgency=low

  * Joey Hess
    - Remove openoffice.org (leaving -bin), and remove all OOo -help- and
      -l10n- packages from all tasks. This is necessary because these packages
      are available for all architectures, but have broken dependencies on
      many architectures (openoffice.org-bin is only built on a few), which
      breaks installation of the tasks of which they are a part on many
      architectures.
  * Translations:
    - Håvard Korsvoll
      - Norwegian Nynorsk updates/added. Closes: #269906
    - Axel Bojer
      - Norwegian Bokmal updates/added. Closes: #269906

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Sep 2004 15:06:51 +0200

tasksel (2.10) unstable; urgency=low

  * Otavio Salvador
    - Include which file have a parser error.
  * Christian Perrier
    - Corrected typo in tasksel.pod. Closes: #266234
  * Eugeniy Meshcheryakov
    - Added iukrainian to ukrainian task
    - Added myspell-uk to ukrainian-desktop task
  * Translations:
    - Jordi Mallach:
      - Update Catalan translation of tasks, program and debconf templates.
    - Miguel Figueiredo
      - Portuguese translation pt.po: Initial program, debconf update.
    - Christian Perrier
      - Typo correction in fr.po
    - Yuri Kozlov
      - Added Russian debconf translation. Closes: #268187
    - Giuseppe Sacco
      - Update both italian translation files.
    - Miguel Figueiredo
      - Update tasks/po/pt.po

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Aug 2004 14:05:33 +0200

tasksel (2.09) unstable; urgency=critical

  * Forgot to make this arch all when it was rewritten in perl.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Jul 2004 17:58:31 -0400

tasksel (2.08) unstable; urgency=critical

  * Joey Hess


## tasksel 2.24

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 DESCDIR=tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
-LANGS=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tr uk zh_CN zh_TW
-LANGS_DESC=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tr uk zh_CN zh_TW
+LANGS=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tl tr uk zh_CN zh_TW
+LANGS_DESC=ar bg bs ca cs cy da de el es eu fi fr gl he hr hu id it ja ko lt mk nb nl nn pl pt pt_BR ro ru sk sl sq sv tl tr uk zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
 all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp

=== debian/changelog ===
tasksel (2.24) unstable; urgency=low

  * Joey Hess
    - Removed xprt from desktop task after discussion on -devel.
  * Translations
    - Simplifed Chinese translation (po/zh_CN.po) updated by Carlos Z.F. Liu
    - Galician translation updates by Jacobo Tarrio

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Mar 2005 20:03:05 -0500

tasksel (2.23) unstable; urgency=low

  * Fix some small logic errors in when the screen clear happens.
  * Don't let -ris parameters interfere with running aptitude w/o
    --visual-preview if manual install is selected. Closes: #295111

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Feb 2005 13:04:35 -0500

tasksel (2.22) unstable; urgency=low

  * Removed manpages-zh from Key in chinese-[ts], since it has been removed
    from unstable. Left in task in case it is added back.
  * Removed obsolete mozilla-xft package from desktop task.
  * Konstantinos Margaritis:
    - Added myspell-el-gr to greek-desktop task

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Jan 2005 15:22:36 -0500

tasksel (2.21) unstable; urgency=low

  * Joey Hess
    - Chinese tasks reworked by Carlos Liu. Closes: #291092
    	- Dropped xcin, pydict from chinese-s and stardic from chinese-t
        - Dropped yiyantang, yh, kon2, chdrv, tfm-arphic-*, cce,
          gs-cjk-resource, cmap-adobe-gb1, cmap-adobe-cns1, psfontmgr
          from both tasks.
        - Added scim-chinese, fcitx to chinese-s-desktop
        - Added scim-tables-zh and rxvt-unicode-ml into both chinese-s-desktop
          and chinese-t-desktop
        - Moved all X-dependent packages from chinese-* to chinese-*-desktop.
    - Add myspell-* back to all language tasks since #283923 is fixed.
    - Uncommented the openoffice l10n packages since they no longer depend
      on openoffice.org, but only recommend it.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2005 15:10:42 -0500

tasksel (2.20) unstable; urgency=low

  * Joey Hess
    - Include return code if aptitude run fails.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2005 17:46:59 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: po-debconf, debhelper (>= 4), gettext, dpkg-dev (>= 1.9.0)
 
 Package: tasksel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, aptitude
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1)
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
 Description: Tool for selecting tasks for installation on Debian system
  This package provides 'tasksel', a simple interface for users who

## tasksel 2.25

=== debian/changelog ===
tasksel (2.25) unstable; urgency=low

  * Joey Hess
    - Add libtheora0 to desktop task so totem can play these files.
      (See #301262)
    - Add Bulgarian language and desktop language tasks contributed by
      Anton Zinoviev. Closes: #271178
    - Add tf2pt1, ttf2pt1-chinese and ttfprint to chinese-s an chinese-t to
      support printing of asian fonts. Closes: #305148
    - Remove language-env from chinese-t, since language-env does not support
      Chinese simplified yet. See #301496
    - Add scim-chewing and m17n-env to chinese-t-desktop, remove old cpanel
      and chinput input methods. Closes: #301496
    - Also remove language-env from chinese-s as it doesn't support that
      either, and remove obsolete cpanel from chinese-s-desktop too.
    - Add basic Arabic tasks. Closes: #282493
    - Add printconf to print-server for automatic printer setup. Closes: #293108
    - Add windbind to file-server since it's commonly used with samba.
      Closes: #292936
    - Look for desc files in /usr/local/share/tasksel too. Closes: #286170
    - Replace mozilla with firefox in desktop task. Closes: #282166
    - Add "force" test script contributed by Free Ekanayaka. This allows
      adding Test-force lines to tasks that force them to be installed,
      skipped, marked, or shown, without needing to write any code,
      and may be useful for CDDs. Closes: #275303
    - Allow later task descs to override earlier ones, useful if you
      want to blow away the standard Debian tasks, perhaps by using Test-force
      to hide them. Closes: #274936
    - Add a "new-install" test script (and export NEW_INSTALL for test
      scripts), to allow special control of tasks during new installs.
    - Add a new "standard" task which defaults to being marked for install
      on new installs and is otherwise hidden (because removing it makes
      little sense), and which causes all standard or above priority packages
      to be installed. Closes: #301273, #298702
    - Remove the -r, -i, and -s switches as unnecessary given the standard
      task.
    - Remove the -n switch since it was intended to be used with other removed
      switches.
    - Make the lang test only do anything on new installs, to avoid tasksel
      looking at the LANG variable in everyday use.
    - Rename Packages field in input task files to Packages-list to allow
      really specifying a Packages value.
    - Deal better with ctrl-c cancel while in debconf.
  * Kęstutis Biliūnas
    - Added openoffice.org-l10n-lt to lithuanian-desktop task.
    - Commented out kde-i18n-lt as the Lithuanian language currently is
      not supported by upstream.
    - Added aspell-lt to lithuanian task.
  * Christian Perrier
    - Fix errors in English descriptions of tasks:
      - web-server: "select packages"
      - *-desktop : "localises the desktop"
                    "that make it"
      - thai      : "for Thai speaking people"
      All translations unfuzzied
      Closes: #306081
  * Translations
    - All Bosnian translations completed by Safir Secerovic
    - All Malagasy translations added by Jaonary Rabarisoa
    - Fixes to Danish translations of language tasks by Claus Hindsgaul
    - All Vietnamese translations added by Clytie Siddall
    - Estonian translations of debconf templates by Siim Põder. Closes: #312464
    - Estonian translations of tasks by Siim Põder. Closes: #312463
    - Estonian translations of tasksel by Siim Põder. Closes: #312462

 -- Joey Hess <joeyh@debian.org>  Thu,  9 Jun 2005 19:30:45 -0400

## tasksel 2.38

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,9 @@
 	for test in tests/*; do \
 		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
 	done
+	for package in packages/*; do \
+		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
+	done
 
 clean:
 	rm -f $(TASKDESC) *~

=== scratch/Makefile ===
CC = gcc
CFLAGS = -g -Wall -I..
DEFS = -DVERSION=$(VERSION) -DPACKAGE=\"$(PROGRAM)\" -DLOCALEDIR=\"/usr/share/locale\" -DDEBUG
LIBS = -lslang

COMPILE = $(CC) $(CFLAGS) $(DEFS) -c
LINK = $(CC) $(CFLAGS) $(DEFS) -o

all: testdata flowtest

../%.o: ../%.c
	$(COMPILE) $< -o $@

%.o: %.c
	$(COMPILE) $<

testdata: ../data.o ../util.o testdata.o
	$(LINK) testdata $^

flowtest: ../strutl.o ../util.o flowtest.o
	$(LINK) flowtest $^

clean:
	rm -f *.o *~ testdata flowtest

=== debian/changelog ===
tasksel (2.38) unstable; urgency=low

  * mozilla-firefox is being renamed to firefox. Added firefox but left the
    mozilla-firefox package in for now, until firefox reaches testing.
  * mozilla-psm is not needed for firefox so removed it from the desktop task

  [ Translations of debconf templates ]
  * Polish updated. Closes: #344140
  * Greek updated.
  * Italian updated. Closes: #344669

  [ Translations of tasks ]
  * Polish updated. Closes: #344140
  * Greek updated.

  [ Translations of programs ]
  * Vietnamese updated. Closes: #343848
  * Polish updated. Closes: #344140
  * Greek updated.

  [ Joey Hess ]
  * When running aptitude in debconf-apt-progress, pass -q to it to disable
    incremental progress displays being logged to stderr, since eg in d-i that
    results in a lot (possibly many megabytes) of download progress info in
    the logs.
  * Support backing up from tasksel if it is run as part of a larger
    debconf-using program such as d-i; while tasksel will not enable the
    backup capb itself, if it is enabled and the user chooses to back up, it
    will exit with code 10. Note that this code, rather than 30, was chosen
    to interoperate with d-i, which rather inexplicably uses 10 instead of 30
    to signal backup across process boundries.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Dec 2005 17:19:07 -0500

tasksel (2.37) unstable; urgency=low

  * In debconf test, also test for DEBCONF_READFD being set, to detect when
    tasksel is being run with a passthrough debconf frontend configured,

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Dec 2005 17:27:59 -0500

tasksel (2.36) unstable; urgency=low

  * Hmm, remove --logfile and --logstderr, add more general
    --debconf-apt-progress="options" setting.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Dec 2005 16:46:40 -0500

tasksel (2.35) unstable; urgency=low

  * Set section to admin to match overrides.
  * Add --logfile and --logstderr options.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Dec 2005 16:10:33 -0500

tasksel (2.34) unstable; urgency=low

  [ Joey Hess ]
  * Manual package selection is now less of a special case, with an actual
    task entry for it that can have test scripts like other task entries,
    etc.
  * Check for running under the debconf frontend and if it is, do as much as
    possible to avoid outputting non-debconf protocol to stdout, including:
    - Don't display the manual task.
    - Don't clear the screen before running aptitude.
  * Use debconf-apt-progress during installs if available (except if the user
    chooses manual selection), to get a fancy progress bar and completly limit
    output when run inside debconf to debconf protocol output.
  * Use debconf-apt-progress for removals too.
  * Pass -y to aptitude remove.
  * Remove fairly obsolete screen clearing code

  [ Translations of tasks ]
  * French updated
  * Czech updated
  * Danish updated
  * Brazilian Portuguese updated
  * Simplified Chinese updated. Closes: #340806
  * Bengali added
  * Italian updated
  * Galician updated
  * Spanish updated

  [ Translations of programs ]
  * French updated
  * Czech updated
  * Danish updated
  * Brazilian Portuguese updated
  * Simplified Chinese updated
  * Italian updated
  * Galician updated
  * Spanish updated

  [ Translations of debconf templates ]
  * French updated
  * Czech updated
  * Danish updated
  * Brazilian Portuguese updated
  * Simplified Chinese updated
  * Bengali added
  * Galician updated
  * Spanish updated

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Dec 2005 18:56:10 -0500

tasksel (2.33) unstable; urgency=low

  [ Joey Hess ]
  * Update Hebrew tasks. Closes: #323241
  * Remove doc-debian-ko. Closes: #330111
  * Remove openoffice.org-kde from desktop task (was already in kde-desktop
    task).

  [ Translations of tasks ]
    - Updated Japanese translation. (Kenshi Muto)
    - Updated Dutch translation (Bart Cornelis)
    - Updated Italian translation (Giuseppe Sacco)
    - Updated Norwegian Bokmal translation (Bjorn Steensrud). Closes: #316734
    - Updated Tagalog translation (Eric Pareja)
    - Updated Russian translation (Yuri Kozlov). Closes: #334251
    - Updated Swedish translation (Daniel Nylander). Closes: #333810, #333815
    - Updated Galician translation (Jacobo Tarrio)

  [ Translations of programs ]
    - Updated Russian translation (Yuri Kozlov). Closes: #334251
    - Updated Swedish translation (Daniel Nylander). Closes: #333810, #333815

 -- Jacobo Tarrio <jtarrio@trasno.net>  Sun, 13 Nov 2005 19:25:56 +0100

tasksel (2.32) unstable; urgency=low

  [ Translations of tasks ]
    - Updated Brazilian Portuguese translation (André Luís Lopes)
    - Updated Ukrainian translation (Eugeniy Meshcheryakov)
    - Updated Danish translation (Claus Hindsgaul)
    - Updated Lithuanian translation (Kęstutis Biliūnas)

  [ Joey Hess ]
  * Temporarily disabled kde-desktop task since kdegraphics is uninstallable
    even in testing ATM.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Sep 2005 10:03:10 +0200

tasksel (2.31) unstable; urgency=low

  [ Translations of tasks ]
    - Updated Simplified Chinese translation (Carlos Z.F. Liu)
    - Updated Czech translation (Miroslav Kure)
    - Updated Romanian translation (Eddy Petris�or. Closes: #323412
    - Updated French translation (Christian Perrier)
    - Updated Vietnamese translation (Clytie Siddall)
    - Updated Spanish translation (Javier Fernandez-Sanguino)

  [ Joey Hess ]
  * Fix dutch tasks. Closes: #323415
  * Explicitly add Packages: task-fields lines to all the tasks in tasks/
    so it's less of a special case from how task definitions generally work.
  * Key packages are always included in a task, and need not be explicitly
    listed by the Packages field, although it's ok if they are.
  * Allow package list programs to output the list separated by any
    whitespace, not just newlines.
  * Pass params from Packages: fields to the program that is run.


=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: tasksel
-Section: base
-Priority: optional
+Section: admin
+Priority: important
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.6.1.0
@@ -8,7 +8,7 @@
 
 Package: tasksel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1), laptop-detect
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
 Description: Tool for selecting tasks for installation on Debian system
  This package provides 'tasksel', a simple interface for users who

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,9 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
 	touch install-stamp
 
+binary-arch: build install
+
 binary-indep: build install
-
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs TODO README
@@ -51,6 +51,7 @@
 	dh_strip
 	dh_compress
 	dh_installdebconf
+	perl -pi -e 's/^Choices: \$${CHOICES}/Choices: \$${ORIGCHOICES}/' debian/tasksel/DEBIAN/templates
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
